package es.ehu.master2012;

/**
 *
 * @author Mikel
 */
public class Stock {
	
	private String date;
	private float open,max,min,close;
	private int vol;

	public Stock (){
		this("01/01/1900");
	}
	public Stock (String f){
		this(f,0,0,0,0,0);
	}
	public Stock (String f, float a, float max, float min, float c, int v){
		date = f;
		open = a;
		this.max = max;
		this.min = min;
		close = c;
		vol = v;
	}
	public String getDate(){
		return date;
	}
	public float getOpen(){
		return open;
	}
	public float getMax(){
		return max;
	}
	public float getMin(){
		return min;
	}
	public float getClose(){
		return close;
	}
	public int getVol(){
		return vol;
	}

	public String toString() {
		return "Date: " + date + " Open: " + open + " Max: " + max + " Min: " + min + " Close: " + close + " Vol: " + vol;
	}
	public String toXML() {
		return 
				"<Stock" +
				" Date=\"" + date + "\"" + 
				" Open=\"" + open + "\"" + 
				" Max=\"" + max + "\"" + 
				" Min=\"" + min + "\"" + 
				" Close=\"" + close + "\"" + 
				" Vol=\"" + vol + "\"" + 
				"/>";
	}
	
}
